summaryrefslogtreecommitdiff
path: root/regress/tinymta/configure
diff options
context:
space:
mode:
Diffstat (limited to 'regress/tinymta/configure')
-rwxr-xr-xregress/tinymta/configure25
1 files changed, 25 insertions, 0 deletions
diff --git a/regress/tinymta/configure b/regress/tinymta/configure
new file mode 100755
index 00000000..78470e1e
--- /dev/null
+++ b/regress/tinymta/configure
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# $FML$
+#
+
+
+# assert
+if [ ! -x ../../config.status ];then
+ echo "error: run configure at the top level directory (../..)"
+ echo " before running configure here"
+ exit 1
+fi
+
+env CONFIG_FILES='Makefile loader tinymta.cf' sh ../../config.status
+chmod 755 loader
+
+echo creating tmdrop
+cat loader Config.pm Log.pm Drop.pm > tmdrop
+chmod 755 tmdrop
+
+echo creating tmsmtp
+cat loader Config.pm Log.pm SMTP.pm > tmsmtp
+chmod 755 tmsmtp
+
+exit 0;